#ifndef KLISTVIEW_H
#define KLISTVIEW_H

#include <QListView>
#include <QMouseEvent>

namespace kdk {

class KListViewPrivate;

class KListView :public QListView
{
    Q_OBJECT
public:
    KListView(QWidget*parent);
protected:
    void mousePressEvent ( QMouseEvent * event ) ;
private:
    Q_DECLARE_PRIVATE(KListView);
    KListViewPrivate* const d_ptr;

};
}
#endif // KLISTVIEW_H
