#ifndef KLISTVIEWDELEGATE_H
#define KLISTVIEWDELEGATE_H

#include <QStyledItemDelegate>
#include <QStyleOptionViewItem>
#include <QPixmap>
#include "themeController.h"
#include <QAbstractItemView>

namespace kdk {

class KListViewDelegatePrivate;

class KListViewDelegate :public QStyledItemDelegate,public ThemeController
{
    Q_OBJECT
public:
    KListViewDelegate(QAbstractItemView*parent);
    ~KListViewDelegate();

protected:
     void paint(QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const override;//重写绘制事件
     virtual QSize sizeHint(const QStyleOptionViewItem &option, const QModelIndex &index) const;
private:
     Q_DECLARE_PRIVATE(KListViewDelegate);
     KListViewDelegatePrivate* const d_ptr;
};
}
#endif // KLISTVIEWDELEGATE_H
