#ifndef KBREADCRUMB_H
#define KBREADCRUMB_H

#include <QTabBar>

namespace kdk
{
class KBreadCrumbPrivate;

enum KBreadCrumbType
{
    FlatBreadCrumb,
    CubeBreadCrumb
};

class KBreadCrumb : public QTabBar
{
    Q_OBJECT

public:
    explicit KBreadCrumb(QWidget *parent = nullptr);
    void setIcon(const QIcon &icon);
    QIcon icon() const;
    bool  isFlat() const;
    void  setFlat(bool flat);

protected:
    QSize tabSizeHint(int index) const;
    void paintEvent(QPaintEvent *event);

private:
    Q_DECLARE_PRIVATE(KBreadCrumb)
    KBreadCrumbPrivate*const d_ptr;
};
}


#endif // KBREADCRUMB_H
