#ifndef KLISTWIDGET_H
#define KLISTWIDGET_H

#include <QWidget>
#include "kitemwidget.h"
#include "themeController.h"
#include "gui_g.h"
namespace  kdk 
{

class KListWidgetPrivate;
class GUI_EXPORT KListWidget : public QListWidget
{
     Q_OBJECT
public:
    KListWidget(QWidget* parent);
    /*
     * 将Itemwidget插入到listwidget
     * m_itemwidget需要插入的Itemwidget
    */
    void AddItemWidget(KItemWidget* m_itemwidget);

    //void mousePressEvent(QMouseEvent *event);

    //void itemClicked(QListWidgetItem * item);


private:
    Q_DECLARE_PRIVATE(KListWidget);
    KListWidgetPrivate* const d_ptr;
};
}
#endif // KLISTWIDGET_H
