#ifndef KSHADOWHELPER_H
#define KSHADOWHELPER_H

#include <QObject>
#include <QWidget>
#include "gui_g.h"
namespace kdk {
namespace effects {

class KShadowHelperPrivate;

class KShadowHelper : public QObject
{
    Q_OBJECT
public:
    static KShadowHelper* self();
    void setWidget(QWidget* widget,int borderRadius = 12, int shadowWidth = 20,qreal darkness = 0.5);

private:
    KShadowHelper(QObject *parent = nullptr);
    Q_DECLARE_PRIVATE(KShadowHelper)
    KShadowHelperPrivate* const d_ptr;

};
}
}
#endif // KSHADOWHELPER_H
