#ifndef PARMSCONTROLLER_H
#define PARMSCONTROLLER_H

#include <QObject>

class QDBusConnection;

namespace kdk
{
class Parmscontroller : public QObject
{

    Q_OBJECT

public:

enum Parm
{
    PM_TabBarHeight,
    PM_PushButtonHeight,
    PM_ToolButtonHeight,
    PM_SearchLineEditHeight,
    PM_PasswordEditHeight,
    PM_NavigationBatHeight,
    PM_TagHeight,
    PM_SearchLineEditItemHeight,
    PM_SliderHandleRadius,
    PM_SliderNodeRadius,
    PM_BadgeHeight,
    PM_IconbarHeight,
    PM_IconBarIconSize,
    PM_WindowButtonBarSize,
    PM_NavigationBatInterval,
//    PM_NavigationBarWidth,
    PM_Widget_SideWidget_Width,
    PM_InputDialog_Height,
    PM_InputDialog_Width,
    PM_InputDialog_Label_Spacing,
    PM_InputDialog_Widget_Spacing,
    PM_InputDialog_Button_Spacing,
    PM_InputDialog_Bottom_Spacing,
    PM_InputDialog_Right_Spacing,
};
    static Parmscontroller* self();
    static bool isTabletMode();
    static int parm(Parm p);

Q_SIGNALS:
    void modeChanged(bool);

private:
    explicit Parmscontroller(QObject *parent = nullptr);
    ~Parmscontroller();

};
}
#endif // PARMSCONTROLLER_H
